export default OpenSeaSDK;
export type network = "rinkeby" | "mainnet";
export type type = "ERC1155" | "ERC721";
/**
 * Base Utilities Class
 */
declare class OpenSeaSDK {
    /**
     * @typedef { "rinkeby" | "mainnet" } network
     */
    /**
     *
     * @param {network} network
     */
    constructor(network?: network);
    network: network;
    /**
     * @typedef { "ERC1155" | "ERC721" } type
     */
    /**
     *
     * @param {Object} openSeaOptions
     * @param {type} type
     * @returns {Promise<{data: string}>}
     */
    mintNFT(openSeaOptions: Object, type: type): Promise<{
        data: string;
    }>;
}
